<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* usergroup-form-add.twig */
class __TwigTemplate_0e95ec46c3bb4bc80d313ee258902fc9228f2aaaece351ab4822fa93146c099c extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 8
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 9
        $context["forms"] = $this->loadTemplate("forms.twig", "usergroup-form-add.twig", 9)->unwrap();
        // line 8
        $this->parent = $this->loadTemplate("form-base.twig", "usergroup-form-add.twig", 8);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 11
    public function block_formTitle($context, array $blocks = [])
    {
        // line 12
        echo "    ";
        echo __("Add User Group");
    }

    // line 15
    public function block_formButtons($context, array $blocks = [])
    {
        // line 16
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["help"] ?? null), "add", []), "html", null, true);
        echo "\")
    ";
        // line 17
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 18
        echo __("Save");
        echo ", \$(\"#userGroupAddForm\").submit()
";
    }

    // line 21
    public function block_callBack($context, array $blocks = [])
    {
        echo "userGroupFormOpen";
    }

    // line 23
    public function block_formHtml($context, array $blocks = [])
    {
        // line 24
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"userGroupAddForm\" class=\"UserGroupForm form-horizontal\" method=\"post\" action=\"";
        // line 26
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("group.add"), "html", null, true);
        echo "\">
                ";
        // line 27
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 28
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Name for this User Group");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 29
        echo "                ";
        echo $context["forms"]->getinput("group", ($context["title"] ?? null), "", ($context["helpText"] ?? null), "", "required maxlength='50'");
        echo "

                ";
        // line 31
        ob_start(function () { return ''; });
        echo __("Library Quota");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 32
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The quota that should be applied. Enter 0 for no quota.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 33
        echo "                <div class=\"form-group\">
                    <label class=\"col-sm-2 control-label\" for=\"libraryQuota\">";
        // line 34
        echo twig_escape_filter($this->env, ($context["title"] ?? null), "html", null, true);
        echo "</label>
                    <div class=\"col-sm-6\">
                        <input class=\"form-control\" name=\"libraryQuota\" type=\"number\" id=\"libraryQuota\" />
                        <span class=\"help-block\">";
        // line 37
        echo twig_escape_filter($this->env, ($context["helpText"] ?? null), "html", null, true);
        echo "</span>
                    </div>
                    <div class=\"col-sm-4\">
                        <select name=\"libraryQuotaUnits\" class=\"form-control\">
                            <option value=\"kb\">KiB</option>
                            <option value=\"mb\">MiB</option>
                            <option value=\"gb\">GiB</option>
                        </select>
                    </div>
                </div>

                ";
        // line 48
        if (($this->getAttribute(($context["currentUser"] ?? null), "userTypeId", []) == 1)) {
            // line 49
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Receive System Notifications?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 50
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Should members of this Group receive system notifications?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 51
            echo "                    ";
            echo $context["forms"]->getcheckbox("isSystemNotification", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
            echo "

                    ";
            // line 53
            ob_start(function () { return ''; });
            echo __("Receive Display Notifications?");
            $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 54
            echo "                    ";
            ob_start(function () { return ''; });
            echo __("Should members of this Group receive Display notifications for Displays they have permission to see?");
            $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
            // line 55
            echo "                    ";
            echo $context["forms"]->getcheckbox("isDisplayNotification", ($context["title"] ?? null), 0, ($context["helpText"] ?? null));
            echo "
                ";
        }
        // line 57
        echo "            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "usergroup-form-add.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  170 => 57,  164 => 55,  159 => 54,  155 => 53,  149 => 51,  144 => 50,  139 => 49,  137 => 48,  123 => 37,  117 => 34,  114 => 33,  109 => 32,  105 => 31,  99 => 29,  94 => 28,  90 => 27,  86 => 26,  82 => 24,  79 => 23,  73 => 21,  67 => 18,  63 => 17,  56 => 16,  53 => 15,  48 => 12,  45 => 11,  40 => 8,  38 => 9,  32 => 8,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "usergroup-form-add.twig", "/home/mgatv524/public_html/edurocha/views/usergroup-form-add.twig");
    }
}
